// Copyright 2026 Moko Consulting <hello@mokoconsulting.tech>
// SPDX-License-Identifier: GPL-3.0-or-later

package v1_27

import "xorm.io/xorm"

type updateStreamConfig338 struct {
	ID         int64  `xorm:"pk autoincr"`
	Platform   string `xorm:"NOT NULL DEFAULT 'joomla'"`
	RequireKey bool   `xorm:"NOT NULL DEFAULT false"`
}

func (updateStreamConfig338) TableName() string {
	return "update_stream_config"
}

// AddPlatformAndRequireKeyToStreamConfig adds platform and require_key
// columns to update_stream_config.
func AddPlatformAndRequireKeyToStreamConfig(x *xorm.Engine) error {
	return x.Sync(new(updateStreamConfig338))
}
